Lavalite package that provides beejees_lavalite management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `jaise/beejees_lavalite`.

    "jaise/beejees_lavalite": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Jaise\BeejeesLavalite\Providers\BeejeesLavaliteServiceProvider::class,

And also add it to alias

    'BeejeesLavalite'  => Jaise\BeejeesLavalite\Facades\BeejeesLavalite::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Jaise\\BeejeesLavaliteTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Jaise\BeejeesLavalite\Providers\BeejeesLavaliteServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Jaise\BeejeesLavalite\Providers\BeejeesLavaliteServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Jaise\BeejeesLavalite\Providers\BeejeesLavaliteServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/beejees_lavalite/{modulename}

**User**

    http://path-to-route-folder/user/beejees_lavalite/{modulename}

**Public**

    http://path-to-route-folder/beejees_lavalites


### API endpoints

**List**

    http://path-to-route-folder/api/user/beejees_lavalite/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/beejees_lavalite/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/beejees_lavalite/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/beejees_lavalite/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/beejees_lavalite/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/beejees_lavalite/{modulename}/{slug}
    METHOD: GET