<?php

// API routes  for test
Route::prefix('{guard}/beejees_lavalite')->group(function () {
    Route::get('test/form/{element}', 'TestAPIController@form');
    Route::resource('test', 'TestAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for beejees_lavalites
            Route::prefix('{guard}/beejees_lavalite')->group(function () {
                Route::get('test/form/{element}', 'TestAPIController@form');
                Route::apiResource('test', 'TestAPIController');
            });
            // Public routes for beejees_lavalites
            Route::get('beejees_lavalite/Test', 'TestPublicController@getTest');
        }
    );
}

// API routes  for test
Route::prefix('{guard}/beejees_lavalite')->group(function () {
    Route::get('test/form/{element}', 'TestAPIController@form');
    Route::resource('test', 'TestAPIController');
});

// Public routes for test
Route::get('beejees_lavalites/', 'TestPublicController@index');
Route::get('beejees_lavalites/{slug?}', 'TestPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for beejees_lavalites
            Route::prefix('{guard}/beejees_lavalite')->group(function () {
                Route::get('test/form/{element}', 'TestAPIController@form');
                Route::apiResource('test', 'TestAPIController');
            });
            // Public routes for beejees_lavalites
            Route::get('beejees_lavalite/Test', 'TestPublicController@getTest');
        }
    );
}

