<?php

namespace Jaise\BeejeesLavalite\Repositories\Eloquent;

use Jaise\BeejeesLavalite\Interfaces\TestRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TestRepository extends BaseRepository implements TestRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('jaise.beejees_lavalite.test.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('jaise.beejees_lavalite.test.model.model');
    }
}
